/* RESETS AND DEFAULTS */
:root {
    font-size: 16px;
    font-family: Verdana;
}
body {
    margin: 0;
    padding: 0;
}
p, h1, div, figure {
    margin: 0;
    padding: 0;
}
*, a, p, h1, h2 {
    color: var(--ink);
    text-decoration: none;
    font-family: Arial;
}
img {
    max-width: 100%;
    overflow: hidden;
}
iframe {
    display: block;
}
div {
    overflow: auto;
}

/* BASE CLASSES AND DEFAULTS*/
p {
    margin: 1em 0 1em 0;
    font-size: 1em;
}

h1, .h1 {
    font-weight: bold;
    font-size: 2em;
}
figure {
    display: flex;
    flex-direction: column;
}

.centered {
    justify-self: center;
}

.card {
    display: block;
}
.card p {
    margin: 0;
}
.card .text {
    padding: 1em 0.5em;
}
.card .description {
    margin-top: 0.5em;
    font-size: 0.9em;
    color: var(--grey-ink);
}

.link {
    border-bottom: 1px solid var(--accent-dark);
}
.link:hover {
    border-bottom-color: var(--accent);
}

.image.small {
    width: 30vw;
    max-width: 400px;
}
.image.medium {
    width: 45vw;
    max-width: 600px;
}
.image.large {
    width: 100%;
    max-height: 70vh;
}
.image.wide {
    width: 100%;
    max-height: 50vh;
}
.image.wide img {
    object-fit: contain;
    max-height: 50vh;
}

.caption {
    font-size: 1em;
    font-style: italic;
    text-align: center;
}


/* Everything else */
.page {
    background: var(--paper);
    min-height: 100vh;
}
.page > .content {
    padding: 3em;
}

.header {
    background: var(--primary-very-light);
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.header .site-logo {
    font-size: 2em;
    font-weight: bold;
    margin: 0 0.5em;
    color: var(--accent-dark);
}

.footer {
    border-top: 1px solid var(--light-grey);
    padding: 2em;
    /* background: var(--primary-dark); */
    display: flex;
    justify-content: space-between;
    margin-top: 1em;
}
.footer p {
    color: var(--grey);
}
.footer .socials .logo {
    display: block;
    width: 2em;
    height: 2em;
}


.navbar {
    display: flex;
    gap: 1em;
    padding: 1em;
}
.navbar .item {
    width: fit-content;
    display: block;
}
.navbar .link {
    color: var(--ink);
    padding-bottom: 0.5em;
    border: none;
}
.navbar .link:hover {
     border-bottom: 2px solid var(--accent-light);
}
.navbar .link.active {
    border-bottom: 2px solid var(--accent);
}


.banner {
    min-height: 5em;
    padding: 5em 3em;
    background: linear-gradient(90deg, rgb(255 255 255), rgb(117 117 117 / 27%)), url(/assets/conv-sort-in-factory-io.png);
    background-size: 50% auto;
    background-repeat: no-repeat;
    background-position: right;
}
.banner-title {
    font-size: 5em;
    font-weight: normal;
}
.banner-subtitle {
    font-size: 1.5em;
}

.my-name {
    color: var(--primary-dark);
}


.display-list {
    display: flex;
    border: 1px solid var(--grey);
    padding: 3px;
}
.display-list .item {
    border-right: 1px solid grey;
    padding: 1em;
}
.display-list .item:last-child {
    border-right: none;
    padding: 1em;
}
.display-list .title {
    font-weight: bold;
}
.display-list p {
    margin: 0;
}

.display-case {
    display: flex;
    gap: 2em;
}
.display-case .card {
    width: 300px;
    height: 350px;
    border: 1px solid var(--light-grey);
    border-radius: 5px;
}
.display-case .card .image {
    width: 100%;
    /* height: 200px; */
    aspect-ratio: 1 / 0.8;
    border-radius: 5px;
}
.display-case .card .title {
    font-weight: bold;
}

/* IMAGES */
.article-image {
    float: left;
    margin-right: 2em;
    margin-left: 0;
}
.article-image.right {
    float:right;
    margin-left: 1em;
    margin-right: 0;
}
.portrait {
    max-width: 15em;
    height: 30em;
    object-fit: cover;
    display: flex;
    flex-direction: column;
}
.portrait img {
    object-fit: cover;
    height: stretch;
    -webkit-fill-available
}
